function DATAinsert = cellMakerKL(IDcentralina,DTcatena,NodeNum,cKL,ListaDate,...
    ARRAYdateKL,ANGdefKL,TdefKL,ErrKlinoLink,NodoKlinoLink)

l = ListaDate;
DATAinsert = cell(l,10);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateKL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateKL(ii),'HH:MM:SS');
    if strcmp(NodoKlinoLink(1,4),'ADC') || strcmp(NodoKlinoLink{1,4} ,'null') ...
            || isempty(NodoKlinoLink{1,4}) == 1 || strcmp(NodoKlinoLink{1,4} ,'g')
        DATAinsert{ii,6} = ANGdefKL(ii,3*cKL-2);
        DATAinsert{ii,7} = ANGdefKL(ii,3*cKL-1);
        DATAinsert{ii,8} = ANGdefKL(ii,3*cKL);
    elseif strcmp(NodoKlinoLink{1,4} ,'Gradi')
        DATAinsert{ii,6} = ANGdefKL(ii,2*cKL-1);
        DATAinsert{ii,7} = ANGdefKL(ii,2*cKL);
    end
    DATAinsert{ii,9} = TdefKL(ii,cKL);
    DATAinsert{ii,10} = ErrKlinoLink(cKL,ii);
end

end